#import <GFPort.h>

@class NSString, QCProxyPort;

@interface QCPort : GFPort
{
    Class _baseClass;	// 40 = 0x28
    QCPort *_connectedPort;	// 44 = 0x2c
    unsigned int _timestamp;	// 48 = 0x30
    unsigned int _previousTimestamp;	// 52 = 0x34
    BOOL _updated;	// 56 = 0x38
    NSString *_keyCache;	// 60 = 0x3c
    int _direction;	// 64 = 0x40
    QCProxyPort *_proxyPort;	// 68 = 0x44
    unsigned int _connectedPortTimestamp;	// 72 = 0x48
    void *_observationInfo;	// 76 = 0x4c
    void *_unused2[4];	// 80 = 0x50
}

+ (BOOL)accessInstanceVariablesDirectly;	// IMP=0x97b28990
+ (BOOL)automaticallyNotifiesObserversForKey:(id)fp8;	// IMP=0x97b28997
+ (id)allocWithZone:(struct _NSZone *)fp8;	// IMP=0x97ae6426
+ (Class)baseClass;	// IMP=0x97b2899e
- (id)initWithNode:(id)fp8 arguments:(id)fp12;	// IMP=0x97ae657a
- (id)key;	// IMP=0x97ae7d02
- (void)portWillDeleteFromNode;	// IMP=0x97aebaac
- (id)value;	// IMP=0x97b289dc
- (BOOL)setValue:(id)fp8;	// IMP=0x97b28a18
- (BOOL)acceptValuesOfClass:(Class)fp8;	// IMP=0x97b28a54
- (Class)valueClass;	// IMP=0x97b28a90
- (BOOL)canConnectToPort:(id)fp8;	// IMP=0x97aed43c
- (BOOL)takeValue:(id)fp8 fromPort:(id)fp12;	// IMP=0x97b0510b
- (id)ownerPatch;	// IMP=0x97b28acd
- (BOOL)wasUpdated;	// IMP=0x97af9930
- (unsigned int)_timestamp;	// IMP=0x97af27b0
- (void)_updateTimestamp;	// IMP=0x97b28ae7
- (void)willChangeValue;	// IMP=0x97ae7763
- (void)didChangeValue;	// IMP=0x97ae77c9
- (id)stateValue;	// IMP=0x97b28af5
- (BOOL)setStateValue:(id)fp8;	// IMP=0x97b28b31
- (id)state;	// IMP=0x97b28b6d
- (BOOL)setState:(id)fp8;	// IMP=0x97ae7e59
- (BOOL)_execute:(double)fp8 arguments:(id)fp16;	// IMP=0x97af953b
- (void)_resetUpdate;	// IMP=0x97af389c
- (id)_proxyPort;	// IMP=0x97b28c6a
- (void)_setProxyPort:(id)fp8;	// IMP=0x97aede05
- (id)_connectedPort;	// IMP=0x97aeb9b3
- (void)_setConnectedPort:(id)fp8;	// IMP=0x97aed16e
- (void)_setDirection:(int)fp8;	// IMP=0x97ae6996
- (int)_direction;	// IMP=0x97aec8dc
- (Class)baseClass;	// IMP=0x97aeddbe
- (void)_setBaseClass:(Class)fp8;	// IMP=0x97ae6718
- (id)description;	// IMP=0x97b28c76
- (id)valueForKey:(id)fp8;	// IMP=0x97b28d21
- (void)setValue:(id)fp8 forKey:(id)fp12;	// IMP=0x97b28e2e
- (void)addObserver:(id)fp8 forKeyPath:(id)fp12 options:(unsigned int)fp16 context:(void *)fp20;	// IMP=0x97b28eda
- (void)removeObserver:(id)fp8 forKeyPath:(id)fp12;	// IMP=0x97b28f60
- (void)setObservationInfo:(void *)fp8;	// IMP=0x97b28fd8
- (void *)observationInfo;	// IMP=0x97ae77be
- (id)_argumentsFromAttributesKey:(id)fp8 originalArguments:(id)fp12;	// IMP=0x97ae9129

@end

