#import "SpeechSynthesizerVoicesPort.h"

@implementation SpeechSynthesizerVoicesPort

- (id)initWithNode:(id)node arguments:(NSDictionary *)arguments
{
	id z=[super initWithNode:node arguments:arguments];
	if(z)
	{
		NSArray *voices = [NSSpeechSynthesizer availableVoices];

		NSMutableDictionary *config = [[arguments mutableCopy] autorelease];
		NSMutableDictionary *attr = [config objectForKey:@"attributes"];
		NSMutableArray *menu = [[[NSMutableArray alloc] init] autorelease];
				
		int i;
		for(i=0;i<[voices count];++i)
		{
			NSDictionary *voiceAttributes = [NSSpeechSynthesizer attributesForVoice:[voices objectAtIndex:i]];
			[menu addObject:[voiceAttributes valueForKey:@"VoiceName"]];
		}
		
		[attr setValue:menu forKey:@"menu"];

		[self setMaxIndexValue:[voices count]-1];
	}
	return z;
}
@end